%global npm_name statsd-parser

Name: nodejs-statsd-parser
Version: 0.0.4
Release: 1%{?dist}
Summary: Streaming parser for the statsd protocol
License: Apache 2
Group: Development/Libraries
URL: https://github.com/dscape/statsd-parser#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

%changelog
* Wed May 08 2019 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 0.0.4-1
- Initial package generated with npm2rpm.
